Bug 1494440 - [RFE] Ability to search hosts which doesn't have hostgroup associated.
Summary: [RFE] Ability to search hosts which doesn't have hostgroup associated.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Docs Server Administration Guide
Version: 6.2.11
Hardware: x86_64
OS: All
unspecified
medium
Target Milestone: Unspecified
Assignee: Melanie Corr
QA Contact: Stephen Wadeley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-22 09:21 UTC by Ranjan Kumar
Modified: 2020-12-14 10:12 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-07 09:33:55 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Ranjan Kumar 2017-09-22 09:21:35 UTC
Description of problem: There is no option to search any records based on nil or empty record.

For eg. I would like to list all hosts which are not linked with any hostgroup. Currently, this is not possible.

We should support search option(on "ALL hosts" page) like
   hostgroup = nil or hostgroup = ""
 
1. Proposed title of this feature request  
I would like to request the ability to search for a host with no hostgroup set. 

3. What is the nature and description of the request? 
I use the host groups to perform Ansible Tower jobs against and need to view any Satellite hosts with a null hostgorup. 

4. Why does the customer need this? (List the business requirements here)  
I need this to ensure Ansible Tower is running on all hosts. 

5. Is there already an existing RFE upstream or in Red Hat Bugzilla?  
No.

6. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?  
 I would like to see this feature added as soon as possible to ensure host deployment and standardization is occurring. 

7. Is the sales team involved in this request and do they have any additional input?  
No.

8. List any affected packages or components.  
NA

9. Would the customer be able to assist in testing this functionality if implemented?  
   Yes I would be able to help test.

Comment 2 Marek Hulan 2018-03-08 18:28:41 UTC
Created redmine issue http://projects.theforeman.org/issues/22821 from this bug

Comment 3 Marek Hulan 2018-03-08 19:00:01 UTC
This is in fact already possible by using null? operator, for the query from comment 0, you can use following

    null? hostgroup

I'm moving this to a documentation component to document this operator in Administering guide, more specifically it should land at https://access.redhat.com/documentation/en-us/red_hat_satellite/6.3/html/administering_red_hat_satellite/chap-red_hat_satellite-administering_red_hat_satellite-searching_and_bookmarking#sect-Red_Hat_Satellite-Administering_Red_Hat_Satellite-Operators

For docs team:

please document "null? whatever" finds records for which whatever is NULL in database, there's also the opposite operator "set?" so e.g. "set? hostgroup" in hosts search will only find hosts that has some host group assigned

since it's an unary operator, it can be joined with and/or, e.g. "null? environment and set? hostgroup" will find hosts that does not have any environment set but they are assigned some hostgroup

Comment 4 pm-sat@redhat.com 2018-03-08 19:19:45 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/22821 has been resolved.

Comment 5 pm-sat@redhat.com 2018-04-30 12:18:45 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/22821 has been resolved.

Comment 6 Stephen Wadeley 2018-04-30 12:46:21 UTC
(In reply to pm-sat@redhat.com from comment #5)
> Moving this bug to POST for triage into Satellite 6 since the upstream issue
> http://projects.theforeman.org/issues/22821 has been resolved.

This is now a docs bug, moving back to Assigned, clearing keywords, clearing Flags

Comment 7 pm-sat@redhat.com 2018-04-30 14:18:45 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/22821 has been resolved.


Note You need to log in before you can comment on or make changes to this bug.